#### D.6.20.15 tjurina

Procedure from library `sing.lib` (see sing_lib).

Usage:
  tjurina(id); id=ideal or poly

Assume:
  id=ICIS (isolated complete intersection singularity)

Return:
  int = Tjurina number of id

Note:
  Tjurina number = -1 implies that id is not an ICIS

Example:

    LIB "sing.lib";
    ring r=32003,(x,y,z),(c,ds);
    ideal j=x2+y2+z2,x2+2y2+3z2;
    tjurina(j);
    ==> 5

User manual for Singular version 4.4.1, 2025, generated by texi2html.